cloadyDoku
API-ReferenzEndpointsWorkspaces

List all domains in workspace

Every custom domain the workspace's applications serve, and every domain registered through Cloady, with its renewal details, whether or not an application serves it.

GET
/api/workspaces/{workspaceSlug}/domains
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/domains"
{  "domains": [    {      "id": "string",      "host": "string",      "isPrimary": true,      "redirectTo": "string",      "port": 0,      "app": {        "slug": "string",        "env": "production",        "region": "string"      },      "registration": {        "expiresAt": "string",        "autoRenew": true,        "nameservers": [          "string"        ]      },      "createdAt": "string"    }  ]}